LibreOffice: GridProperties Service Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Public Attributes | List of all members
GridProperties Service Reference

Must be supported by all grids. More...

`import <GridProperties.idl;`

Inheritance diagram for GridProperties:

## Included Services
service | ::com::sun::star::drawing::LineProperties
| properties for formatting the grid lines

## Public Attributes
boolean | Show
| Determines, whether the grid should be rendered by the view.
Public Attributes inherited from LineProperties
com::sun::star::drawing::LineStyle | LineStyle
| This property contains the type of the line.
com::sun::star::drawing::LineDash | LineDash
| This property contains the dash of the line.
string | LineDashName
| This property contains the name of the dash of the line.
com::sun::star::util::Color | LineColor
| This property contains the line color.
short | LineTransparence
| This property contains the extent of transparency.
long | LineWidth
| This property contains the width of the line in 1/100th mm.
com::sun::star::drawing::LineJoint | LineJoint
| This property defines the rendering of joints between thick lines.
com::sun::star::drawing::LineCap | LineCap
| This property defines the rendering of ends of thick lines.
string | LineStartName
| This property contains the name of the line start poly polygon Bezier.
string | LineEndName
| This property contains the name of the line end poly polygon Bezier.
com::sun::star::drawing::PolyPolygonBezierCoords | LineStart
| This property contains the line start in the form of a poly polygon Bezier.
com::sun::star::drawing::PolyPolygonBezierCoords | LineEnd
| This property contains the line end in the form of a poly polygon Bezier.
boolean | LineStartCenter
| If this property is `TRUE`, the line will start from the center of the polygon.
long | LineStartWidth
| This property contains the width of the line start polygon.
boolean | LineEndCenter
| If this property is `TRUE`, the line will end in the center of the polygon.
long | LineEndWidth
| This property contains the width of the line end polygon.

## Detailed Description

Must be supported by all grids.

## Exported Interfaces

## ◆ ::com::sun::star::drawing::LineProperties

service ::com::sun::star::drawing::LineProperties

properties for formatting the grid lines

## Member Data Documentation

## ◆ Show

boolean Show
| property

Determines, whether the grid should be rendered by the view.

The documentation for this service was generated from the following file:

- com/sun/star/chart2/GridProperties.idl